package org.ajnb.controller;

import org.ajnb.service.SuppliersService;
import org.ajnb.vo.SuppliersVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("Suppliers")
public class SuppliersController {

    @Autowired
    SuppliersService suppliersService;

    @RequestMapping("addSuppliers")
    public void addSuppliers(SuppliersVO suppliersVO){
        suppliersService.addSuppliers(suppliersVO);
    }

    @RequestMapping("querySuppliers")
    public List<SuppliersVO> querySuppliers(SuppliersVO suppliersVO){
        return suppliersService.querySuppliers(suppliersVO);
    }

    @RequestMapping("updateSuppliers")
    public void updateSuppliers(SuppliersVO suppliersVO){
        suppliersService.updateSuppliers(suppliersVO);
    }

    @RequestMapping("deleteSuppliers")
    public void deleteSuppliers(SuppliersVO suppliersVO){
        suppliersService.deleteSuppliers(suppliersVO);
    }
}
