package org.ajnb.service;

import org.ajnb.mapper.BiddingInfoMapper;
import org.ajnb.vo.BiddingInfoVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

@Service
public class BiddingInfoServiceImpl implements BiddingInfoService {

    @Autowired
    BiddingInfoMapper biddingInfoMapper;

    @Override
    public void addBiddingInfo(BiddingInfoVO biddingInfoVO) {
        biddingInfoMapper.addBiddingInfo(biddingInfoVO);
    }

    @Override
    public List<BiddingInfoVO> queryBiddingInfoById(BiddingInfoVO biddingInfoVO) {
        return biddingInfoMapper.queryBiddingInfoById(biddingInfoVO);
    }

    @Override
    public List<BiddingInfoVO> queryAllBiddingInfo() {
        return biddingInfoMapper.queryAllBiddingInfo();
    }

    @Override
    public List<BiddingInfoVO> queryBiddingInfoByMultCondition(BiddingInfoVO biddingInfoVO) {
        return biddingInfoMapper.queryBiddingInfoByMultCondition(biddingInfoVO);
    }

    @Override
    public List<BiddingInfoVO> queryByCondition(BiddingInfoVO biddingInfoVO) {
        return biddingInfoMapper.queryByCondition(biddingInfoVO);
    }

    @Override
    public void deleteBiddingInfoById(BiddingInfoVO biddingInfoVO) {
        biddingInfoMapper.deleteBiddingInfoById(biddingInfoVO);
    }
}
