package org.ajnb.service;

import org.ajnb.mapper.RulesMapper;
import org.ajnb.vo.RulesVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

@Service
public class RulesServiceImpl implements RulesService{

    @Autowired
    private RulesMapper rulesMapper;


    @Override
    public void addRule(RulesVO rulesVO) {
        rulesMapper.addRule(rulesVO);
    }

    @Override
    public void deleteRuleById(RulesVO rulesVO) {
        rulesMapper.deleteRuleById(rulesVO);
    }

    @Override
    public void updateRule(RulesVO rulesVO) {
        rulesMapper.updateRuleById(rulesVO);
    }

    @Override
    public List<RulesVO> queryAllRules(RulesVO rulesVO) {
        return rulesMapper.queryAllRules(rulesVO);
    }

    @Override
    public RulesVO queryRulesById(RulesVO rulesVO) {
        return rulesMapper.queryRulesById(rulesVO);
    }
}
