package org.ajnb.service;

import org.ajnb.mapper.SuppliersMapper;
import org.ajnb.vo.SuppliersVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SuppliersServiceImpl implements SuppliersService {

    @Autowired
    SuppliersMapper suppliersMapper;

    @Override
    public void addSuppliers(SuppliersVO suppliersVO) {
        suppliersMapper.addSuppliers(suppliersVO);
    }

    @Override
    public List<SuppliersVO> querySuppliers(SuppliersVO suppliersVO) {
        return suppliersMapper.querySuppliers(suppliersVO);
    }

    @Override
    public void updateSuppliers(SuppliersVO suppliersVO) {
        suppliersMapper.updateSuppliers(suppliersVO);
    }

    @Override
    public void deleteSuppliers(SuppliersVO suppliersVO) {
        suppliersMapper.deleteSuppliers(suppliersVO);
    }
}
