package org.ajnb.vo;


import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.sql.Date;
import java.sql.Timestamp;

@Getter
@Setter
public class BiddingInfoVO {
    private Integer id;
    private String title;
    private String purchase_type;
    private BigDecimal purchase_quantity;
    private String purchase_unit;
    private Date bidding_start_time;
    private Date bidding_end_time;
    private String supply_location;
    private Date latest_delivery_time;
    private String invoice_type;
    private Date payment_time;
    private String usage_rule;
    private Integer rule_id;
    private String client_name;
    private Integer client_id;
    private BigDecimal price_limit_upper;
    private BigDecimal price_limit_lower;
    private Date create_time;
    private String creator;
    private Integer rest_time;
    private String bidding_status;
    private Integer bidding_supplier_id;
    private String bidding_supplier_name;
    private BigDecimal bidding_price;
}
