package org.ajnb.controller;

import org.ajnb.service.BiddingInfoService;
import org.ajnb.service.ClientsService;
import org.ajnb.vo.BiddingInfoVO;
import org.ajnb.vo.ClientsVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("BiddingInfo")
public class BiddingInfoController {

    @Autowired
    private BiddingInfoService biddingInfoService;
    @Autowired
    private ClientsService clientsService;
    @RequestMapping("QueryAll")
    public List<BiddingInfoVO> QueryAll() {
        return biddingInfoService.queryAllBiddingInfo();
    }
    @RequestMapping("QueryByCondition")
    public List<BiddingInfoVO> QueryByCondition(@RequestBody BiddingInfoVO biddingInfoVO) {
        return biddingInfoService.queryByCondition(biddingInfoVO);
    }
    @RequestMapping("QueryMultCondition")
    public List<BiddingInfoVO> QueryMultCondition(BiddingInfoVO biddingInfoVO) {
        return biddingInfoService.queryBiddingInfoByMultCondition(biddingInfoVO);
    }

    @RequestMapping("DeleteById")
    public void DeleteById(BiddingInfoVO biddingInfoVO) {
        biddingInfoService.deleteBiddingInfoById(biddingInfoVO);
    }

    @RequestMapping("AddBidding")
    public void addBiddingInfo(@RequestBody BiddingInfoVO biddingInfoVO) {
        biddingInfoService.addBiddingInfo(biddingInfoVO);
    }
    @RequestMapping("SearchClients")
    public List<ClientsVO> SearchClients(@RequestBody ClientsVO clientsVO) {
        return clientsService.queryAllClients(clientsVO);
    }
}
