package org.ajnb.controller;


import org.ajnb.service.BiddingInfoService;
import org.ajnb.service.BiddingProcessService;
import org.ajnb.vo.BiddingInfoVO;
import org.ajnb.vo.BiddingProcessVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("BiddingProcess")
public class BiddingProcessController {

    @Autowired
    private BiddingInfoService biddingInfoService;
    @Autowired
    private BiddingProcessService biddingProcessService;

    @RequestMapping("BaseInfo")
    public List<BiddingInfoVO> BaseInfo(BiddingInfoVO biddingInfoVO){
        return biddingInfoService.queryBiddingInfoById(biddingInfoVO);
    }

    @RequestMapping("ProcessInfo")
    public List<BiddingProcessVO> ProcessInfo(BiddingProcessVO biddingProcessVO){
        return biddingProcessService.queryBiddingProcessByBiddingId(biddingProcessVO);
    }

}
